package TodoListApp.Domain;

import java.util.ArrayList;

public class Fassade {
	
	private TaskList tasks;
	
	public Fassade() {
		this.tasks = new TaskList();
	}
	
	public void addTask(String title, String beschreibung, String eingabeTaskprioritaet){
		tasks.addTaskZuList(title, beschreibung, eingabeTaskprioritaet);
	}
	
	public ArrayList<String> showAllTasks() {
		return tasks.printAllTask();
	}
	
	public boolean removeTask(String title) {
		return tasks.removeTask(title);
	}
	
	public boolean markTaskAsDone(String title) {
		return tasks.markTaskAsDone(title);
	}

	public ArrayList<String>  getAllGemachteTasks() {
		return tasks.printAlleGemachteTasks();
	}

}
